skb_prepare_seq_read
Prev | Socket Buffer Functions | Next

## Name

skb_prepare_seq_read — Prepare a sequential read of skb data

## Synopsis

`void skb_prepare_seq_read (` | struct sk_buff * | skb,
| unsigned int | from,
| unsigned int | to,
| struct skb_seq_state * | st`)`;

## Arguments

`skb`

  the buffer to read

`from`

  lower offset of data to be read

`to`

  upper offset of data to be read

`st`

  state variable

## Description

Initializes the specified state variable. Must be called before invoking `skb_seq_read` for the first time.

Prev | Up | Next
skb_split | Home | skb_seq_read